## org.apache.cassandra.thrift
Enum CqlResultType

    java.lang.Object
      java.lang.Enum<CqlResultType>
          org.apache.cassandra.thrift.CqlResultType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<CqlResultType>, org.apache.thrift.TEnum

    public enum CqlResultType

extends java.lang.Enum<CqlResultType>
implements org.apache.thrift.TEnum

Enum Constant Summary
`INT`
`ROWS`
`VOID`

Method Summary
`static CqlResultType` `findByValue(int value)` Find a the enum type by its integer value, as defined in the Thrift IDL.
`int` `getValue()` Get the integer value of this enum value, as defined in the Thrift IDL.
`static CqlResultType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static CqlResultType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ROWS

    public static final CqlResultType ROWS

### VOID

    public static final CqlResultType VOID

### INT

    public static final CqlResultType INT

Method Detail

### values

    public static CqlResultType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CqlResultType c : CqlResultType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CqlResultType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getValue

    public int getValue()

  Get the integer value of this enum value, as defined in the Thrift IDL.

  Specified by:
    `getValue` in interface `org.apache.thrift.TEnum`

### findByValue

    public static CqlResultType findByValue(int value)

  Find a the enum type by its integer value, as defined in the Thrift IDL.

  Returns:
    null if the value is not found.

Copyright © 2013 The Apache Software Foundation